Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.client
Interface ApplicationViewManagerRemote

public interface ApplicationViewManagerRemote
extends javax.ejb.EJBObject

Manages access to ApplicationViews. This class handles adding, removing, and getting ApplicationViews in a given Namespace. This class also offers facilities to deploy and undeploy ApplicationViews, get an instance of an ApplicationView, and to check if an ApplicationView is deployed.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`IApplicationViewDescriptor` | `addApplicationView(INamespace parent, java.lang.String appViewName)` Creates an ApplicationView with the given name, adds it to the given parent namespace, and returns a descriptor for it.
`void` | `deployApplicationView(IApplicationViewDescriptor appView, boolean allowRebind, boolean persistent)` Deploy the ApplicationView represented by the given descriptor into the WLAI engine.
`boolean` | `exists(QualifiedName name)` Determines whether an Application View with the given qualified name exists in the repository.
`AdapterInfo` | `getAdapterInfoForApplicationView(QualifiedName name)` Returns information about the adapter associated with an ApplicationView with the given name.
`IApplicationViewDescriptor` | `getApplicationView(QualifiedName name)` Gets the ApplicationView with the given qualified name and returns a descriptor for it.
`boolean` | `isApplicationViewDeployed(QualifiedName qualifiedName)` Indicates whether an ApplicationView with the given qualified name has been deployed within the WLAI engine.
`IApplicationViewDescriptor` | `removeApplicationView(QualifiedName name)` Removes the ApplicationView with the given qualified name from its parent namespace, and returns a descriptor for it.
`IApplicationViewDescriptor` | `undeployApplicationView(QualifiedName name, boolean force, boolean persistent)` Undeploy the ApplicationView represented by the given QualifiedName from the WLAI engine.
`void` | `updateApplicationView(IApplicationViewDescriptor appView)` Updates the given ApplicationViewDescriptor within the WLAI repository.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### addApplicationView

    public IApplicationViewDescriptor addApplicationView(INamespace parent,
                                                         java.lang.String appViewName)
                                                  throws DuplicateNameException,
                                                         NamespaceException,
                                                         ApplicationViewException,
                                                         java.rmi.RemoteException

  Creates an ApplicationView with the given name, adds it to the given parent namespace, and returns a descriptor for it.

  Parameters:
    `parent` - The namespace to which the new ApplicationView will be added.
    `appViewName` - The name to be given to the new ApplicationView.
  Returns:
    The descriptor for the new ApplicationView.
  Throws:
    DuplicateNameException - If the parent namespace already contains an object with the name given by the appViewName parameter.
    NamespaceException - If any namespace access error occurs.
    ApplicationViewException - If any error occurs creating the descriptor for the new ApplicationView.
    java.rmi.RemoteException - If an RMI communication error occurs.

### removeApplicationView

    public IApplicationViewDescriptor removeApplicationView(QualifiedName name)
                                                     throws NamespaceException,
                                                            ApplicationViewException,
                                                            java.rmi.RemoteException

  Removes the ApplicationView with the given qualified name from its parent namespace, and returns a descriptor for it.

  Parameters:
    `name` - The qualified name for the ApplicationView to remove.
  Returns:
    The descriptor for the removed ApplicationView.
  Throws:
    NamespaceException - If any namespace access error occurs.
    ApplicationViewException - If any error occurs creating the descriptor for the removed ApplicationView.
    java.rmi.RemoteException - If an RMI communication error occurs.

### updateApplicationView

    public void updateApplicationView(IApplicationViewDescriptor appView)
                               throws ApplicationViewException,
                                      java.rmi.RemoteException

  Updates the given ApplicationViewDescriptor within the WLAI repository. Any changes made to the ApplicationViewDescriptor since it was retrieved from the repository are persisted back into the repository.

  Parameters:
    `appView` - The ApplicationViewDescriptor representing the ApplicationView to be updated.
  Throws:
    ApplicationViewException - If any error occurs reading the descriptor for the ApplicationView to be updated.
    java.rmi.RemoteException - If an RMI communication error occurs.

### getApplicationView

    public IApplicationViewDescriptor getApplicationView(QualifiedName name)
                                                  throws NamespaceException,
                                                         ApplicationViewException,
                                                         java.rmi.RemoteException

  Gets the ApplicationView with the given qualified name and returns a descriptor for it. In addition, the associated ConnectionFactory descriptor is also resolved and set on the returned ApplicationView descriptor.

  Parameters:
    `name` - The qualified name for the ApplicationView to retrieved.
  Returns:
    The descriptor for the ApplicationView.
  Throws:
    NamespaceException - If the ApplicationView does not exist, or any namespace access error occurs.
    ApplicationViewException - If any error occurs creating the descriptor for the retrieved ApplicationView.
    java.rmi.RemoteException - If an RMI communication error occurs.

### exists

    public boolean exists(QualifiedName name)
                   throws ApplicationViewException,
                          java.rmi.RemoteException

  Determines whether an Application View with the given qualified name exists in the repository.

  Parameters:
    `name` - The qualified name for the Application View.
  Returns:
    a boolean containing true if the application view exists in the repository or false otherwise.
  Throws:
    ApplicationViewException - If any error occurs while examining the repository
    java.rmi.RemoteException - If an RMI communication error occurs.

### deployApplicationView

    public void deployApplicationView(IApplicationViewDescriptor appView,
                                      boolean allowRebind,
                                      boolean persistent)
                               throws DeploymentException,
                                      NamespaceException,
                                      java.rmi.RemoteException

  Deploy the ApplicationView represented by the given descriptor into the WLAI engine. This makes the ApplicationView available for use by client applications.

  Parameters:
    `appView` - The descriptor for the ApplicationView to be deployed.
    `allowRebind` - If true, existing deployments using the same JNDI name may be overwritten with this deployment. Otherwise, an exception is thrown if the JNDI name is already in use.
    `persistent` - Indicates whether the server should treat this deployment as an ongoing startup deployment the next time the server starts. If false, this deployment only exists for the life of the server.
  Throws:
    DeploymentException - If any error occurs deploying the ApplicationView into the WLAI engine.
    NamespaceException - If any namespace access error occurs.
    java.rmi.RemoteException - If an RMI communication error occurs.

### undeployApplicationView

    public IApplicationViewDescriptor undeployApplicationView(QualifiedName name,
                                                              boolean force,
                                                              boolean persistent)
                                                       throws DeploymentException,
                                                              NamespaceException,
                                                              java.rmi.RemoteException

  Undeploy the ApplicationView represented by the given QualifiedName from the WLAI engine. This makes the ApplicationView unavailable to client applications.

  Parameters:
    `name` - The qualified name of the ApplicationView to be undeployed.
    `force` - If true, this application view will be undeployed regardless of whether any user is currently using it or not.
    `persistent` - Indicates whether the server should remove this deployment from the ongoing startup deployments. If false, and this deployment is persistent, the application view will be removed from the current runtime deployments, but will still be deployed on startup the next time the server starts. If true, this deployment is removed from the current runtime deployments AND is removed from the ongoing startup deployments.
  Returns:
    The descriptor for the ApplicationView that was undeployed.
  Throws:
    DeploymentException - If any error occurs undeploying the ApplicationView from the WLAI engine.
    NamespaceException - If any namespace access error occurs.
    java.rmi.RemoteException - If an RMI communication error occurs.

### isApplicationViewDeployed

    public boolean isApplicationViewDeployed(QualifiedName qualifiedName)
                                      throws DeploymentException,
                                             NamespaceException,
                                             java.rmi.RemoteException

  Indicates whether an ApplicationView with the given qualified name has been deployed within the WLAI engine.

  Parameters:
    `name` - The name of the ApplicationView to check for.
  Returns:
    True if the ApplicationView with the given name has been deployed, false otherwise.
  Throws:
    DeploymentException - If any error occurs accessing deployment information.
    NamespaceException - If any namespace access error occurs.
    java.rmi.RemoteException - If an RMI communication error occurs.

### getAdapterInfoForApplicationView

    public AdapterInfo getAdapterInfoForApplicationView(QualifiedName name)
                                                 throws NamespaceException,
                                                        ApplicationViewException,
                                                        java.rmi.RemoteException

  Returns information about the adapter associated with an ApplicationView with the given name.

  Parameters:
    `name` - The qualified name of the ApplicationView for which adapter info is to be returned.
  Returns:
    The AdapterInfo representing the adapter associated with the designated ApplicationView, or null if no adapter info could be found.
  Throws:
    NamespaceException - if any namespace access error occurs.
    ApplicationViewException - if any error occurs accessing the ApplicationView descriptor or any other descriptor associated with it.
    java.rmi.RemoteException - if an RMI communication error occurs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)